
CoCoA-5 - Bug #98

RealRoots should use IsRational

06 Mar 2012 12:24 - John Abbott

Status: Closed Start date: 06 Mar 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Incomplete function Estimated time: 4.00 hours

Target version: CoCoA-5.0.3 Spent time: 5.10 hours

Description

RealRoots incorrectly complains about non rational coeffs in cases like the following:

Use QQ(a)[x];  -- syntax not (yet) valid

f := x^2 -2;

RealRootsApprox(f); --> gives error!

History

#1 - 12 Mar 2012 11:09 - John Abbott

- % Done changed from 0 to 100

Fixed the bug -- actually quite easy.

A as consequence I "improved" the defn of content.

#2 - 12 Mar 2012 11:09 - John Abbott

- Status changed from New to Resolved

#3 - 04 Jul 2012 09:50 - John Abbott

- Status changed from Resolved to Closed

No further problems have surfaced, so closing the issue.

#4 - 04 Jul 2012 09:56 - Anna Maria Bigatti

- Category set to Incomplete function

- Assignee set to John Abbott

- Target version set to CoCoA-5.0.3
